package com.xindazhou.user.convert.tag;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.user.controller.admin.tag.vo.MemberTagCreateReqVO;
import com.xindazhou.user.controller.admin.tag.vo.MemberTagRespVO;
import com.xindazhou.user.controller.admin.tag.vo.MemberTagUpdateReqVO;
import com.xindazhou.user.dal.dataobject.tag.MemberTagDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 会员标签 Convert
 *
 * @author hmy
 */
@Mapper
public interface MemberTagConvert {

    MemberTagConvert INSTANCE = Mappers.getMapper(MemberTagConvert.class);

    MemberTagDO convert(MemberTagCreateReqVO bean);

    MemberTagDO convert(MemberTagUpdateReqVO bean);

    MemberTagRespVO convert(MemberTagDO bean);

    List<MemberTagRespVO> convertList(List<MemberTagDO> list);

    PageResult<MemberTagRespVO> convertPage(PageResult<MemberTagDO> page);

}
